## Interface Swift_FileStream

(line 19)

## Description

    Swift_OutputByteStream
       |
       --Swift_FileStream

Located in File: /vendors/swiftMailer/classes/Swift/FileStream.php

##### An OutputByteStream which specifically reads from a file.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
string getPath ()

#### Method getPath (line 26)

#### string getPath( )

##### Get the complete path to the file.

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_OutputByteStream

#### Swift_OutputByteStream::read() - Reads $length bytes from the stream into a string and moves the pointer through the stream by $length. If less bytes exist than are requested the remaining bytes are given instead. If no bytes are remaining at all, boolean false is returned.

#### Swift_OutputByteStream::setReadPointer() - Move the internal read pointer to $byteOffset in the stream.

Documentation generated on Fri, 12 Nov 2010 20:45:21 +0000 by phpDocumentor 1.4.3